
Redmine - Defect #4007

Cant send email on Redmine 0.8.5.devel: An error occurred while sending mail (wrong number of

arguments (3 for 2))

2009-10-09 01:06 - Vlad Gurovich

Status: Closed Start date: 2009-10-09

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Ive installed the latest from trunk(svn) yesterday and followed the blog tutorial to the dot:

http://redmineblog.com/articles/setup-redmine-to-send-email-using-gmail/

email.yml:

production:

  delivery_method: :smtp

  smtp_settings:

    address: smtp.gmail.com

    port: 587

    domain: smtp.gmail.com

    authentication: :login

    user_name: "user@gmail.com" 

    password: "password" 

    tls: true

 P.S. I tried it with Google Apps count, it didnt work, so I tried with a regular gmail account to remove any apps issues. still didnt work.

This is the error thats displayed:

An error occurred while sending mail (wrong number of arguments (3 for 2))

 When I enable debug logging and mail logging this is the only thing that i receive in the production.log

Sent mail to  <-----  BLANK, NO EMAIL ADDRESS HERE IN THE LOG

Date: Thu, 8 Oct 2009 15:34:39 -0700

From: testemail@that.I.specified

Bcc: admin@email.com

Subject: Redmine test

Mime-Version: 1.0

Content-Type: multipart/alternative; boundary=mimepart_4ace68ff21710_1897..fdbe990de788

Precedence: bulk

X-Mailer: Redmine

Auto-Submitted: auto-generated

X-Redmine-Site: My company name

X-Redmine-Host: redmine.mycompany.com

--mimepart_4ace68ff21710_1897..fdbe990de788

Content-Type: text/plain; charset=utf-8

Content-Transfer-Encoding: Quoted-printable

Content-Disposition: inline

............. <<<CONTINUES WITH HTML EMAIL

 I couldnt get any other debug info from redmine. I verified that Im able to telnet to smtp.google.com 587 from my server so firewall is

not an issue and I was very careful with formatting of email.yml.

Im out of ideas here and Ive already spent a day trying to get this working for my team.
Any help with fixing this or enabling me to gather more information of which arguments the error message refers to would be

appreciated.

Note, Ive done the same on dreamhost with slightly earlier version couple weeks ago and it works fine.

Running on Apache2 Passenger/mod_rail

Here is my script/about info:

About your application's environment

Ruby version 1.8.7 (i486-linux)

RubyGems version 1.3.5

Rack version 1.0

Rails version 2.3.4

Active Record version 2.3.4

Active Resource version 2.3.4

Action Mailer version 2.3.4

Active Support version 2.3.4

Application root /xxx/xxx

Environment development < even though I explicitly specified production in Apache2 Passenger directive

Database adapter mysql

Database schema version 20090704172358

It was yesterdays SVN revision which is I believe 2904

History

#1 - 2009-10-09 01:14 - Vlad Gurovich

- Status changed from New to Resolved

The issue was in action_mailer_optional tls:

http://www.redmine.org/issues/1598

removing authtype from the call to check_auth_args on line 33 of vendor/plugins/action_mailer_optional_tls/lib

/smtp_tls.rb fixes the problem. Looks like a bug in action_mailer_optional_tls rather than redmine.

Looks like Net::SMTP changed the function signature for check_auth_args. Bad programmer - no red bull for you.

#2 - 2009-10-10 12:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid
